## dieharder 3.31.1.1

=== debian/changelog ===
dieharder (3.31.1.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:16 +0100

dieharder (3.31.1.1-1) unstable; urgency=medium

  * New upstream minor release as we are in a funny spot as this is now effectively
    upstream with Robert being somewhat in active

  * configure.ac: Apply patch to simplify and generalize endianness
    testing, with a big thank you to Helmut Grohne	(Closes: #946774)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Dec 2019 08:54:48 -0600
