## dieharder 3.31.1.2

=== debian/changelog ===
dieharder (3.31.1.2-1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:28:35 +0000

dieharder (3.31.1.2-1) unstable; urgency=medium

  * New upstream minor release accomodating gcc-10 and its treatment of
    multiple definitions of global variables		(Closes: #957134)

  * Based on new 'upstream' git repo at github.com/eddelbuettel/dieharder
    which spawned off the salsa.debian.org repo for this package

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jul 2020 12:36:49 -0500
