=== debian/control ===
Source: dieharder
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 10), libgsl-dev, automake, libtool, ghostscript, texlive-base, texlive-latex-base, texlive-plain-generic
Vcs-Browser: https://salsa.debian.org/edd/dieharder
Vcs-Git: https://salsa.debian.org/edd/dieharder.git
Homepage: http://webhome.phy.duke.edu/~rgb/General/dieharder.php

Package: dieharder
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description:  Random-number generator test front-end
 dieharder is a fairly involved random number/uniform deviate generator
 tester.  It can either test any of its many prebuilt and linked
 generators (basically all of those in the GNU Scientific Library plus
 any others I've been able to find) or a potentially random dataset in a
 file.  With file input, it can test either N-bit bitstrings (with N user
 specifiable) or (double precision) floating point numbers in the range
 [0.0,1.0) (uniform deviates).  It is thus suitable for use in testing
 both software RNG's and hardware RNG's.
 .
 This package provides the command-line frontend.

Package: libdieharder3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description:  Random-number generator test library
 libdieharder is the core library of dieharder and friends, designed to
 be "the last suite of random number testers you'll ever wear".  It can
 test any of its many prebuilt and library linked generators (basically
 all of those in the GNU Scientific Library plus a number of others from
 various sources) or a potentially random dataset in either an
 ascii-formatted or raw (presumed 32 bit uint) binary file.  It is fairly
 straightforward to wrap new software generators for testing, or to add
 hardware generators that have a software interface for testing, and the
 file input method permits pretty much any software or hardware RNG to be
 tested using libdieharder calls.
 .
 libdieharder has as a design goal the full encapsulation in an
 extensible shell of basically all the random number tests I have been
 able to find -- George Marsaglia's "diehard" battery of tests, STS
 (v1.6) from NIST FIPS, Knuth's tests, and more.  Check in the man
 page(s) or /usr/share/dieharder*/dieharder.pdf for documentation.
 .
 This package provides the shared library.

Package: libdieharder-dev
Architecture: any
Depends: ${misc:Depends}, libdieharder3 (= ${binary:Version}), libgsl-dev
Section: libdevel
Replaces: libdieharder2 (<= 2.28.1-3)
Description:  Random-number generator test library -- development package
 libdieharder is the core library of dieharder and friends, designed to
 be "the last suite of random number testers you'll ever wear".  It can
 test any of its many prebuilt and library linked generators (basically
 all of those in the GNU Scientific Library plus a number of others from
 various sources) or a potentially random dataset in either an
 ascii-formatted or raw (presumed 32 bit uint) binary file.  It is fairly
 straightforward to wrap new software generators for testing, or to add
 hardware generators that have a software interface for testing, and the
 file input method permits pretty much any software or hardware RNG to be
 tested using libdieharder calls.
 .
 libdieharder has as a design goal the full encapsulation in an
 extensible shell of basically all the random number tests I have been
 able to find -- George Marsaglia's "diehard" battery of tests, STS
 (v1.6) from NIST FIPS, Knuth's tests, and more.  Check in the man
 page(s) or /usr/share/dieharder*/dieharder.pdf for documentation.
 .
 This package provides the header files and the pdf manual.
