=== debian/changelog ===
dieharder (3.31.1.4-1) unstable; urgency=medium

  * New upstream minor release, now sync'ed with 'public' github

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

  * debian/control: Set our upstream as the homepage, will reference the
    original repo by RGB there

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Dec 2022 07:10:53 -0600
