=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 11), libgsl-dev, automake, libtool, ghostscript, texlive-base, texlive-latex-base, texlive-plain-generic
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 12), libgsl-dev, automake, libtool, ghostscript, texlive-base, texlive-latex-base, texlive-plain-generic
 Vcs-Browser: https://salsa.debian.org/edd/dieharder
 Vcs-Git: https://salsa.debian.org/edd/dieharder.git
-Homepage: http://webhome.phy.duke.edu/~rgb/General/dieharder.php
+Homepage: https://github.com/eddelbuettel/dieharder
 
 Package: dieharder
 Architecture: any
